Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.destination
Class DestinationServiceSupport

    java.lang.Object
      ServiceMBeanSupport
          org.jboss.jms.server.destination.DestinationServiceSupport

Direct Known Subclasses:
  Queue, Topic

public abstract class DestinationServiceSupport
extends ServiceMBeanSupport

The base of a JBoss Messaging destination service. Both deployed or programatically created destinations will eventually get one of these.

Version:
  `$Revision: 1.20 $` $Id: DestinationServiceSupport.java,v 1.20 2006/06/27 19:44:38 timfox Exp $
Author:
  Ovidiu Feodorov, Tim Fox, Alex Fu
See Also:
  Serialized Form

Field Summary
`protected ChannelMapper` | `cm`
`protected DestinationManager` | `dm`
`protected java.lang.String` | `jndiName`
`protected java.lang.String` | `name`
`protected org.w3c.dom.Element` | `securityConfig`
`protected ObjectName` | `serverPeerObjectName`
`protected SecurityManager` | `sm`
`protected boolean` | `started`

Constructor Summary
`DestinationServiceSupport(boolean createdProgrammatically)`

Method Summary
`int` | `getDownCacheSize()` Get write-cache size
`int` | `getFullSize()` Get in-memory message limit
`java.lang.String` | `getJNDIName()`
`java.lang.String` | `getName()`
`int` | `getPageSize()` Get paging size
`org.w3c.dom.Element` | `getSecurityConfig()`
`ObjectName` | `getServerPeer()`
`boolean` | `isCreatedProgrammatically()`
`protected abstract boolean` | `isQueue()`
`void` | `setDownCacheSize(int downCacheSize)` Set write-cache size when destination is stopped.
`void` | `setFullSize(int fullSize)` Set in-memory message limit when destination is stopped.
`void` | `setJNDIName(java.lang.String jndiName)`
`void` | `setPageSize(int pageSize)` Set paging size when destination is stopped.
`void` | `setSecurityConfig(org.w3c.dom.Element securityConfig)`
`void` | `setServerPeer(ObjectName on)`
`void` | `startService()`
`void` | `stopService()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serverPeerObjectName

    protected ObjectName serverPeerObjectName

### dm

    protected DestinationManager dm

### cm

    protected ChannelMapper cm

### sm

    protected SecurityManager sm

### securityConfig

    protected org.w3c.dom.Element securityConfig

### name

    protected java.lang.String name

### jndiName

    protected java.lang.String jndiName

### started

    protected boolean started

Constructor Detail

### DestinationServiceSupport

    public DestinationServiceSupport(boolean createdProgrammatically)

Method Detail

### startService

    public void startService()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stopService

    public void stopService()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getJNDIName

    public java.lang.String getJNDIName()

### setJNDIName

    public void setJNDIName(java.lang.String jndiName)

### setServerPeer

    public void setServerPeer(ObjectName on)

### getServerPeer

    public ObjectName getServerPeer()

### setSecurityConfig

    public void setSecurityConfig(org.w3c.dom.Element securityConfig)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSecurityConfig

    public org.w3c.dom.Element getSecurityConfig()

### getName

    public java.lang.String getName()

### isCreatedProgrammatically

    public boolean isCreatedProgrammatically()

### getFullSize

    public int getFullSize()

  Get in-memory message limit

  Returns:
    message limit

### setFullSize

    public void setFullSize(int fullSize)

  Set in-memory message limit when destination is stopped.

  Parameters:
    `fullSize` - the message limit

### getPageSize

    public int getPageSize()

  Get paging size

  Returns:
    paging size

### setPageSize

    public void setPageSize(int pageSize)

  Set paging size when destination is stopped.

  Parameters:
    `pageSize` - the paging size

### getDownCacheSize

    public int getDownCacheSize()

  Get write-cache size

  Returns:
    cache size

### setDownCacheSize

    public void setDownCacheSize(int downCacheSize)

  Set write-cache size when destination is stopped.

  Parameters:
    `downCacheSize` - the cache size

### toString

    public java.lang.String toString()

### isQueue

    protected abstract boolean isQueue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.